/transactions
Transactions for sdk partners
Query Parameters
- Type: stringmerchant
_transaction _id Merchant transaction id
- Type: stringdate
_start Unix Timestamp search from
- Type: stringdate
_end Unix Timestamp search end
- Type: stringstatus
Transaction status
- Type: booleanshow
_retries Show retries transactions
- Type: stringlimit
Limit of rows max 50, min 5
- Type: stringoffset
Type of client
Responses
- application/json
- application/json
Request Example for get/sdk-partner/transactions
curl 'https://sandbox-api.mrcr.io/v1.6/sdk-partner/transactions?merchant_transaction_id=&date_start=&date_end=&status=&show_retries=true&limit=50&offset=' \
--header 'Sdk-Partner-Token: YOUR_SECRET_TOKEN'
{
"status": 200,
"total": 100,
"next": "string",
"prev": "string",
"data": [
{
"transaction_type": {
"id": "058dc74257a417582",
"transaction_id": "058dc74303d2d0459",
"widget_id": "67710925-8b40-4767-846e-3b88db69f04d",
"merchant_transaction_id": "00357ec76de855485",
"fiat_currency": "EUR",
"fiat_amount": "200.00",
"currency": "BTC",
"amount": "0.0212512",
"status": "new",
"created_at": "2021-07-22 09:08:46",
"updated_at": "2021-07-22 09:08:46",
"email": "74111111175@tt.st",
"payment_method": "apple"
}
}
]
}